Skip to main content
POST
/
webhooks
Create or update a webhook
curl --request POST \
  --url https://api.useproxy.ai/v1/webhooks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "url": "<string>",
  "events": [
    "<string>"
  ],
  "enabled": true,
  "secret": "<string>",
  "metadata": {}
}
'
{
  "id": "<string>",
  "url": "<string>",
  "events": [
    "<string>"
  ],
  "enabled": true,
  "secret": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header as Bearer <api_key>.

Headers

Idempotency-Key
string

Unique key for idempotent requests (24-hour cache)

Body

application/json
id
string

Existing webhook ID to update

url
string<uri>

Webhook endpoint URL (required for new webhooks)

events
string[]

Event types to subscribe to

enabled
boolean
default:true
secret
string

Custom signing secret (auto-generated if not provided)

metadata
object

Response

Webhook updated

id
string
required
url
string<uri>
required

Webhook endpoint URL

events
string[]
required

Event types to subscribe to

enabled
boolean
required
secret
string

Webhook signing secret

createdAt
string<date-time> | null
updatedAt
string<date-time> | null